# SourcePath: libpng/20050706rel
Summary: PNG library
Name: sony-target-rel-libpng
%define pkgname %{sony_target_config}-rel-libpng
Version: 1.2.6
Release: 9
Source: libpng-1.2.6.tar.bz2
Source1: hhl-libpng-makefile
Patch0: libpng-1.2.6-pngwutil.patch
Patch1: libpng-version.patch
%if "%{sony_target_lib_name}" == "sslibc"
Patch4: libpng_sslibc.patch
%endif
Patch5: libpng-fpic.patch
Url: http://www.libpng.org/pub/png/libpng.html
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_cross_target_dir}
Prefix: %{sony_cross_target_dir}
BuildRequires: %{sony_target_config}-rel-zlib


%define _bindir         %{sony_cross_target_dir}%{sony_target_rel_bin_dir}
%define _incdir         %{sony_cross_target_dir}%{sony_target_rel_include_dir}
%define _libdir         %{sony_cross_target_dir}%{sony_target_rel_lib_dir}
%define _mandir         %{sony_cross_target_dir}%{sony_target_rel_man_dir}
%define _infodir        %{sony_cross_target_dir}%{sony_target_rel_info_dir}
# %define _datadir        %{sony_cross_target_dir}%{_hhl_target_sharedstate_dir}
%define _docdir         %{sony_cross_target_dir}%{sony_target_rel_doc_dir}


%description
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

%package -n %{pkgname}
Summary: PNG library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.



### %package -n %{pkgname}-dev
### Summary: PNG library - development
### Group: %{sony_group}

### %description -n %{pkgname}-dev
### libpng is a library implementing an interface for reading and writing
### PNG (Portable Network Graphics) format files.

This package contains the static libraries and headers for development


%prep
# %target_check
%setup -n libpng-%{version} -q

#The patch0 fixes the bug with "optimized window size" in the IDAT datastream. 
%patch0 -p1

cp %{SOURCE1} makefile

%patch1 -p1
%if "%{sony_target_lib_name}" == "sslibc"
%patch4 -p1
%endif
%patch5 -p1

%build
# PATH=%{sony_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup # for sslibc version
%endif

# NOTE: can't use target_configure function because this
# software has no configure script whatsoever.

touch .depend

# export CC=%{sony_target_toolprefix}gcc
# export RANLIB=%{sony_target_toolprefix}ranlib
# export AR=%{sony_target_toolprefix}ar
# export CPP=%{sony_target_toolprefix}cpp
# export CXX=%{sony_target_toolprefix}g++
# export LD=%{sony_target_toolprefix}ld

export ZLIBLIB=%{sony_cross_target_dir}%{sony_target_rel_lib_dir}/
export ZLIBINC=%{sony_cross_target_dir}%{sony_target_rel_include_dir}
export HHL_PREFIX=${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_rel_prefix}/


make CFLAGS="-g -O2"


%install
# PATH=%{sony_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup # for sslibc version
%endif

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_rel_include_dir}
mkdir -p ${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_rel_lib_dir}

export HHL_PREFIX=${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_rel_prefix}/

make install



%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{_libdir}/libpng.so*
### %doc LICENSE


# %files -n %{pkgname}-dev
# %defattr(-,root,root)
%{_incdir}/png.h
%{_incdir}/pngconf.h
%{_libdir}/libpng.a
### %doc LICENSE


%changelog
* Thu Jul 14 2005 Sony Corporation - 1.2.6-3
- Change .so option: -fPIC to -fpic

* Wed Jul  6 2005 Sony Corporation - 1.2.6-2
- Change .so version.
- Add IDAT datastream bugfix patch.

* Fri Jul 01 2005 Sony Corporation
- Initial build.
